<?
	$phpgw_info = array();
	$GLOBALS['sessionid'] = @$_GET['sessionid'] ? $_GET['sessionid'] : @$_COOKIE['sessionid'];
	if (!isset($GLOBALS['sessionid']) || !$GLOBALS['sessionid']) {
		Header('Location: ./login.php?cd=10');
		exit;
	}

	// Flag currentapp modificada para mobile
	// Inserida flag mobileapp e definida como calendar
	$GLOBALS['phpgw_info']['flags'] = array(
		'noheader'                => True,
		'nonavbar'                => True,
		'currentapp'              => 'mobile',
		'mobileapp'				  => 'calendar',
		'enable_network_class'    => True,
		'enable_contacts_class'   => True,
		'enable_nextmatchs_class' => True
	);
	include('../header.inc.php');
	include('mobile_header.inc.php');

	// Utiliza o novo header para a pgina principal.
	print_header();

	$accountId = $GLOBALS['phpgw_info']['user']['account_id'];

	$uicalendar = CreateObject("calendar.uicalendar");
	$daysofWeek = array(lang('Sunday'), lang('Monday'),lang('Tuesday'),lang('Wednesday'),lang('Thursday'),lang('Friday'),lang('Saturday'));
	$year = $uicalendar->bo->year;
	$month = $uicalendar->bo->month;
	$day = $uicalendar->bo->day;
	$start = $GLOBALS['phpgw']->datetime->get_weekday_start($year, $month, $day) + $GLOBALS['phpgw']->datetime->tz_offset;
	$tstart = $start - $GLOBALS['phpgw']->datetime->tz_offset;
	$tstop = $tstart + 604800;
	$uicalendar->bo->so->owner = $accountId;
	$uicalendar->bo->so->open_box($accountId);
	$uicalendar->bo->store_to_cache(
		Array(
			'syear'  => date('Y',$tstart),
			'owner'	=> $accountId,
			'smonth' => date('m',$tstart),
			'sday'   => date('d',$tstart),
			'eyear'  => date('Y',$tstop),
			'emonth' => date('m',$tstop),
			'eday'   => date('d',$tstop)
		)
	);
	$daily = $uicalendar->bo->cached_events;
	$p = CreateObject('phpgwapi.Template', "../mobile/templates/".$GLOBALS['phpgw_info']['server']['template_set']);
	$p->set_file(Array('view' => 'calendar.tpl'));
	$data[] = array();
	@ksort($daily);

	if($daily){
		$p->set_block('view','view_event');
		foreach($daily as $date => $day_params)	{
			$year  = (int)substr($date,0,4);
			$month = (int)substr($date,4,2);
			$day   = (int)substr($date,6,2);
			$day_of_week = $daysofWeek[$GLOBALS['phpgw']->datetime->day_of_week($year,$month,$day)];
			$p->set_var("header_date",$day_of_week." - ".$day."/".$month."/".$year);
			for($i = 0; $i < count($day_params);$i++)	{
				$vars = $uicalendar->bo->event2array($day_params[$i]);
				$data  = array (
							"title_field"		=> $vars['title']['field'],
							"title_data"		=> $vars['title']['data'],
							"location_field"	=> $vars['location']['field'],
							"location_data"		=> $vars['location']['data'] ? $vars['location']['data'] : "&nbsp;",
							"startdate_field"	=> $vars['startdate']['field'],
							"startdate_data" 	=> substr($vars['startdate']['data'],13, 17),
							"enddate_field" 	=> $vars['enddate']['field'],
							"enddate_data" 		=> substr($vars['enddate']['data'],13, 17),
							"description_field"	=> $vars['description']['field'],
							"description_data"	=> $vars['description']['data'] ? $vars['description']['data'] : "&nbsp;"
							);

	    	 	$p->set_var($data);
	    	 	$p->parse('views','view_event',True);
			}
		}
		$p->pfp('out','views');
	}
	else {
		$p->set_block('view','no_event');
		$syear  = date('Y',$tstart);
		$smonth = date('m',$tstart);
		$sday   = date('d',$tstart);
		$eyear  = date('Y',$tstop);
		$emonth = date('m',$tstop);
		$eday	= date('d',$tstop);
		$p->set_var("start_date",$sday."/".$smonth."/".$syear);
		$p->set_var("end_date", $eday."/".$emonth."/".$eyear);
		$p->pfp('out','no_event');
	}

	// Utiliza o novo footer.
	print_footer();
?>
